Bug 499622 - Running system-config-services as root results in ~1min initial high cpu usage
Running system-config-services as root results in ~1min initial high cpu usage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PolicyKit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-07 09:24 EDT by J Gallagher
Modified: 2013-03-05 22:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:24:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J Gallagher 2009-05-07 09:24:52 EDT
Description of problem:

If I 'run su -c system-config-services' in F11 preview gnome desktop, the cpu load becomes very high and lasts for ~1min. 'top' shows that polkitd and dbus-daemon are the culprits. The gui itself is very slow to respond during this period.

(I know that's not the way to launch the gui but this 'bad behaviour' shouldn't occur)


Version-Release number of selected component (if applicable):
system-config-services-0.99.33-1.fc11.noarch
PolicyKit-0.9-6.fc11.i586
PolicyKit-gnome-libs-0.9.2-3.fc11.i586
PolicyKit-gnome-0.9.2-3.fc11.i586


How reproducible:
Every time


Steps to Reproduce:
1. su -c system-config-services
2. observe cpu usage with 'top' or similar
3. interact with the gui, start/stop services, it is very unresponsive for ~1min
  
Actual results:
Slow unresponsive gui, high cpu usage for ~1min

Expected results:
fast responsive gui, no unusually high cpu usage.


Additional info:
If you login to the desktop as root (by over-riding pam settings), the system-config-services gui is not usable at all (can't stop/start services), even after ~1min, but that's just for info.
Comment 1 Bug Zapper 2009-06-09 11:19:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Peter Trenholme 2009-07-05 11:29:30 EDT
I suspect that this bug may be related to the following "infinite recursion" traceback I see (multiple times) when I start "system-config-services" from a command line:
---------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd
    self._finish ()
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb
    ready_cb (cmd, *p, **k)
  File "/usr/lib/python2.6/site-packages/scservices/core/services.py", line 338, in _status_update_ready
    callback (*p, **k)
  File "/usr/lib/python2.6/site-packages/scservices/core/services.py", line 324, in _async_status_update_finished
    self.notify_herder (serviceherders.SVC_STATUS_CHANGED)
  File "/usr/lib/python2.6/site-packages/scservices/core/services.py", line 78, in notify_herder
    self.herder.notify (change, self)
  File "/usr/lib/python2.6/site-packages/scservices/core/serviceherders.py", line 146, in notify
    k = copy.copy (subscriber.k)
RuntimeError: maximum recursion depth exceeded
----------------------------

I haven't used Python much, but a construct like copy.copy(...) looks like it could be very recursive . . .
Comment 3 Diego Búrigo Zacarão 2009-08-12 09:31:50 EDT
I got a similar problem:

------------------------------------------------------------
$ sudo system-config-services

Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x14739d0>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473a10>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473a50>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473a90>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473ad0>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473b10>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473b50>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473b90>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473bd0>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473c10>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473c50>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473c90>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473cd0>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473d10>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473d50>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473d90>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473dd0>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473e10>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473e50>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473e90>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473f90>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Traceback (most recent call last):                                                                           
  File "/usr/sbin/system-config-services", line 77, in _sort_by_name                                         
    return name1 < name2 and -1 or name1 > name2 and 1 or 0                                                  
RuntimeError: maximum recursion depth exceeded in cmp                                                        
Traceback (most recent call last):                                                                           
  File "/usr/sbin/system-config-services", line 77, in _sort_by_name                                         
    return name1 < name2 and -1 or name1 > name2 and 1 or 0                                                  
RuntimeError: maximum recursion depth exceeded in cmp                                                        
Traceback (most recent call last):                                                                           
  File "/usr/sbin/system-config-services", line 77, in _sort_by_name                                         
    return name1 < name2 and -1 or name1 > name2 and 1 or 0                                                  
RuntimeError: maximum recursion depth exceeded in cmp                                                        
Traceback (most recent call last):                                                                           
  File "/usr/sbin/system-config-services", line 77, in _sort_by_name                                         
    return name1 < name2 and -1 or name1 > name2 and 1 or 0                                                  
RuntimeError: maximum recursion depth exceeded in cmp                                                        
Traceback (most recent call last):                                                                           
  File "/usr/sbin/system-config-services", line 77, in _sort_by_name                                         
    return name1 < name2 and -1 or name1 > name2 and 1 or 0                                                  
RuntimeError: maximum recursion depth exceeded in cmp                                                        
Traceback (most recent call last):                                                                           
  File "/usr/sbin/system-config-services", line 77, in _sort_by_name                                         
    return name1 < name2 and -1 or name1 > name2 and 1 or 0                                                  
RuntimeError: maximum recursion depth exceeded in cmp                                                        
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
  File "/usr/lib/python2.6/site-packages/scservices/core/services.py", line 338, in _status_update_ready     
    callback (*p, **k)                                                                                       
  File "/usr/lib/python2.6/site-packages/scservices/core/services.py", line 324, in _async_status_update_finished                                                                                                         
    self.notify_herder (serviceherders.SVC_STATUS_CHANGED)                                                   
  File "/usr/lib/python2.6/site-packages/scservices/core/services.py", line 78, in notify_herder             
    self.herder.notify (change, self)                                                                        
  File "/usr/lib/python2.6/site-packages/scservices/core/serviceherders.py", line 149, in notify             
    change = change, *subscriber.p, **k)                                                                     
  File "/usr/sbin/system-config-services", line 557, in on_services_changed                                  
    self.on_service_status_changed (service)                                                                 
  File "/usr/sbin/system-config-services", line 663, in on_service_status_changed                            
    self._set_widgets_sensitivity ()                                                                         
  File "/usr/sbin/system-config-services", line 499, in _set_widgets_sensitivity                             
    self._service_xml_widgets)                                                                               
  File "/usr/sbin/system-config-services", line 498, in <lambda>                                             
    map (lambda x: self._set_service_widget_sensitive (x, self.current_service),                             
  File "/usr/sbin/system-config-services", line 517, in _set_service_widget_sensitive                        
    is_enabled = service.get_enabled ()                                                                      
  File "/usr/lib/python2.6/site-packages/scservices/core/services.py", line 360, in get_enabled              
    if len (self.runlevels) == 0:                                                                            
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473f50>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x1473f10>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Exception RuntimeError: 'maximum recursion depth exceeded' in <bound method Popen.__del__ of <subprocess.Popen object at 0x147a050>> ignored                                                                              
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish                  
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)                                              
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb                
    ready_cb (cmd, *p, **k)                                                                                  
RuntimeError: maximum recursion depth exceeded while calling a Python object                                 
Traceback (most recent call last):                                                                           
  File "/usr/sbin/system-config-services", line 77, in _sort_by_name                                         
    return name1 < name2 and -1 or name1 > name2 and 1 or 0                                                  
RuntimeError: maximum recursion depth exceeded in cmp                                                        
Traceback (most recent call last):                                                                           
  File "/usr/sbin/system-config-services", line 77, in _sort_by_name                                         
    return name1 < name2 and -1 or name1 > name2 and 1 or 0                                                  
RuntimeError: maximum recursion depth exceeded in cmp                                                        
Traceback (most recent call last):                                                                           
  File "/usr/sbin/system-config-services", line 77, in _sort_by_name                                         
    return name1 < name2 and -1 or name1 > name2 and 1 or 0                                                  
RuntimeError: maximum recursion depth exceeded in cmp                                                        
Traceback (most recent call last):                                                                           
  File "/usr/sbin/system-config-services", line 77, in _sort_by_name                                         
    return name1 < name2 and -1 or name1 > name2 and 1 or 0                                                  
RuntimeError: maximum recursion depth exceeded in cmp                                                        
Traceback (most recent call last):                                                                           
  File "/usr/sbin/system-config-services", line 77, in _sort_by_name                                         
    return name1 < name2 and -1 or name1 > name2 and 1 or 0                                                  
RuntimeError: maximum recursion depth exceeded in cmp                                                        
Traceback (most recent call last):                                                                           
  File "/usr/sbin/system-config-services", line 77, in _sort_by_name                                         
    return name1 < name2 and -1 or name1 > name2 and 1 or 0                                                  
RuntimeError: maximum recursion depth exceeded in cmp                                                        
Traceback (most recent call last):                                                                           
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 96, in on_fd                     
    self._finish ()                                                                                          
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 108, in _finish
    self.ready_cb (self, *self.ready_args, **self.ready_kwargs)
  File "/usr/lib/python2.6/site-packages/scservices/core/asynccmd.py", line 153, in _ready_cb
    ready_cb (cmd, *p, **k)
  File "/usr/lib/python2.6/site-packages/scservices/core/services.py", line 338, in _status_update_ready
    callback (*p, **k)
  File "/usr/lib/python2.6/site-packages/scservices/core/services.py", line 324, in _async_status_update_finished
    self.notify_herder (serviceherders.SVC_STATUS_CHANGED)
  File "/usr/lib/python2.6/site-packages/scservices/core/services.py", line 78, in notify_herder
    self.herder.notify (change, self)
  File "/usr/lib/python2.6/site-packages/scservices/core/serviceherders.py", line 149, in notify
    change = change, *subscriber.p, **k)
  File "/usr/sbin/system-config-services", line 557, in on_services_changed
    self.on_service_status_changed (service)
  File "/usr/sbin/system-config-services", line 663, in on_service_status_changed
    self._set_widgets_sensitivity ()
  File "/usr/sbin/system-config-services", line 499, in _set_widgets_sensitivity
    self._service_xml_widgets)
  File "/usr/sbin/system-config-services", line 498, in <lambda>
    map (lambda x: self._set_service_widget_sensitive (x, self.current_service),
  File "/usr/sbin/system-config-services", line 517, in _set_service_widget_sensitive
    is_enabled = service.get_enabled ()
  File "/usr/lib/python2.6/site-packages/scservices/core/services.py", line 360, in get_enabled
    if len (self.runlevels) == 0:
RuntimeError: maximum recursion depth exceeded while calling a Python object

------------------------------------------------------------

$ rpm -aq|grep system-config-services
system-config-services-docs-1.1.6-1.fc11.noarch
system-config-services-0.99.33-1.fc11.noarch
Comment 4 Bug Zapper 2010-04-27 10:10:59 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:24:55 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.